Show / Hide Table of Contents

# Class OpenIddictConstants.Claims

##### Inheritance

System.Object
OpenIddictConstants.Claims

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class Claims

### Fields

#### AccessTokenHash

##### Declaration

    public const string AccessTokenHash = "at_hash"

##### Field Value

Type | Description
--- | ---
System.String |

#### Active

##### Declaration

    public const string Active = "active"

##### Field Value

Type | Description
--- | ---
System.String |

#### Address

##### Declaration

    public const string Address = "address"

##### Field Value

Type | Description
--- | ---
System.String |

#### Audience

##### Declaration

    public const string Audience = "aud"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthenticationContextReference

##### Declaration

    public const string AuthenticationContextReference = "acr"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthenticationMethodReference

##### Declaration

    public const string AuthenticationMethodReference = "amr"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthenticationTime

##### Declaration

    public const string AuthenticationTime = "auth_time"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthorizedParty

##### Declaration

    public const string AuthorizedParty = "azp"

##### Field Value

Type | Description
--- | ---
System.String |

#### Birthdate

##### Declaration

    public const string Birthdate = "birthdate"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClientId

##### Declaration

    public const string ClientId = "client_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeHash

##### Declaration

    public const string CodeHash = "c_hash"

##### Field Value

Type | Description
--- | ---
System.String |

#### Country

##### Declaration

    public const string Country = "country"

##### Field Value

Type | Description
--- | ---
System.String |

#### Email

##### Declaration

    public const string Email = "email"

##### Field Value

Type | Description
--- | ---
System.String |

#### EmailVerified

##### Declaration

    public const string EmailVerified = "email_verified"

##### Field Value

Type | Description
--- | ---
System.String |

#### ExpiresAt

##### Declaration

    public const string ExpiresAt = "exp"

##### Field Value

Type | Description
--- | ---
System.String |

#### FamilyName

##### Declaration

    public const string FamilyName = "family_name"

##### Field Value

Type | Description
--- | ---
System.String |

#### Formatted

##### Declaration

    public const string Formatted = "formatted"

##### Field Value

Type | Description
--- | ---
System.String |

#### Gender

##### Declaration

    public const string Gender = "gender"

##### Field Value

Type | Description
--- | ---
System.String |

#### GivenName

##### Declaration

    public const string GivenName = "given_name"

##### Field Value

Type | Description
--- | ---
System.String |

#### IssuedAt

##### Declaration

    public const string IssuedAt = "iat"

##### Field Value

Type | Description
--- | ---
System.String |

#### Issuer

##### Declaration

    public const string Issuer = "iss"

##### Field Value

Type | Description
--- | ---
System.String |

#### JwtId

##### Declaration

    public const string JwtId = "jti"

##### Field Value

Type | Description
--- | ---
System.String |

#### KeyId

##### Declaration

    public const string KeyId = "kid"

##### Field Value

Type | Description
--- | ---
System.String |

#### Locale

##### Declaration

    public const string Locale = "locale"

##### Field Value

Type | Description
--- | ---
System.String |

#### Locality

##### Declaration

    public const string Locality = "locality"

##### Field Value

Type | Description
--- | ---
System.String |

#### MiddleName

##### Declaration

    public const string MiddleName = "middle_name"

##### Field Value

Type | Description
--- | ---
System.String |

#### Name

##### Declaration

    public const string Name = "name"

##### Field Value

Type | Description
--- | ---
System.String |

#### Nickname

##### Declaration

    public const string Nickname = "nickname"

##### Field Value

Type | Description
--- | ---
System.String |

#### Nonce

##### Declaration

    public const string Nonce = "nonce"

##### Field Value

Type | Description
--- | ---
System.String |

#### NotBefore

##### Declaration

    public const string NotBefore = "nbf"

##### Field Value

Type | Description
--- | ---
System.String |

#### PhoneNumber

##### Declaration

    public const string PhoneNumber = "phone_number"

##### Field Value

Type | Description
--- | ---
System.String |

#### PhoneNumberVerified

##### Declaration

    public const string PhoneNumberVerified = "phone_number_verified"

##### Field Value

Type | Description
--- | ---
System.String |

#### Picture

##### Declaration

    public const string Picture = "picture"

##### Field Value

Type | Description
--- | ---
System.String |

#### PostalCode

##### Declaration

    public const string PostalCode = "postal_code"

##### Field Value

Type | Description
--- | ---
System.String |

#### PreferredUsername

##### Declaration

    public const string PreferredUsername = "preferred_username"

##### Field Value

Type | Description
--- | ---
System.String |

#### Profile

##### Declaration

    public const string Profile = "profile"

##### Field Value

Type | Description
--- | ---
System.String |

#### Region

##### Declaration

    public const string Region = "region"

##### Field Value

Type | Description
--- | ---
System.String |

#### Role

##### Declaration

    public const string Role = "role"

##### Field Value

Type | Description
--- | ---
System.String |

#### Scope

##### Declaration

    public const string Scope = "scope"

##### Field Value

Type | Description
--- | ---
System.String |

#### StreetAddress

##### Declaration

    public const string StreetAddress = "street_address"

##### Field Value

Type | Description
--- | ---
System.String |

#### Subject

##### Declaration

    public const string Subject = "sub"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenType

##### Declaration

    public const string TokenType = "token_type"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenUsage

##### Declaration

    public const string TokenUsage = "token_usage"

##### Field Value

Type | Description
--- | ---
System.String |

#### UpdatedAt

##### Declaration

    public const string UpdatedAt = "updated_at"

##### Field Value

Type | Description
--- | ---
System.String |

#### Username

##### Declaration

    public const string Username = "username"

##### Field Value

Type | Description
--- | ---
System.String |

#### Website

##### Declaration

    public const string Website = "website"

##### Field Value

Type | Description
--- | ---
System.String |

#### Zoneinfo

##### Declaration

    public const string Zoneinfo = "zoneinfo"

##### Field Value

Type | Description
--- | ---
System.String |